using Cowsay
using Documenter

DocMeta.setdocmeta!(Cowsay, :DocTestSetup, :(using Cowsay); recursive=true)

makedocs(;
    modules=[Cowsay],
    authors="Thomas A. Christensen II <25492070+MillironX@users.noreply.github.com> and contributors",
    repo="https://code.millironx.com/millironx/Cowsay.jl/blob/{commit}{path}#{line}",
    sitename="Cowsay.jl",
    format=Documenter.HTML(;
        prettyurls=get(ENV, "CI", "false") == "true",
        canonical="https://cowsay-jl.millironx.com/",
        assets=String[],
    ),
    pages=[
        "Home" => "index.md",
        "Available Cowfiles" => "cows.md",
        "Make your own Cowfile" => "cowfiles.md",
    ],
)

deploydocs(;
    repo="code.millironx.com/millironx/Cowsay.jl",
    devbranch="master",
)
